package pt.unl.fct.di.novasys.babel.protocols.dissemination.notifications;

import pt.unl.fct.di.novasys.babel.generic.ProtoNotification;
import pt.unl.fct.di.novasys.babel.protocols.dissemination.messages.IdentifiableProtoMessage;

public class MissingIdentifiableMessageNotification extends ProtoNotification {

	public static final short NOTIFICATION_ID = 503;

	private final IdentifiableProtoMessage message;
	
	public MissingIdentifiableMessageNotification(IdentifiableProtoMessage m) {
		super(NOTIFICATION_ID);
		this.message = m;
	}

	public IdentifiableProtoMessage getMessage() {
		return this.message;
	}
}
