package pt.unl.fct.di.novasys.babel.protocols.membership.notifications;

import pt.unl.fct.di.novasys.babel.generic.ProtoNotification;
import pt.unl.fct.di.novasys.network.data.Host;

public class NeighborUp extends ProtoNotification {

    public static final short NOTIFICATION_ID = 401;

    private final Host peer;

    public NeighborUp(Host peer) {
        super(NOTIFICATION_ID);
        this.peer = peer;
    }


    public Host getPeer() {
        return peer;
    }
}
