package pt.unl.fct.di.novasys.babel.protocols.secure.dissemination.notifications;

import pt.unl.fct.di.novasys.babel.generic.ProtoNotification;
import pt.unl.fct.di.novasys.babel.protocols.secure.dissemination.messages.SignedIdentifiableProtoMessage;

public class MissingIdentifiableMessageNotification extends ProtoNotification {

    public static final short NOTIFICATION_ID = 553;

    private final SignedIdentifiableProtoMessage message;

    public MissingIdentifiableMessageNotification(SignedIdentifiableProtoMessage m) {
        super(NOTIFICATION_ID);
        this.message = m;
    }

    public SignedIdentifiableProtoMessage getMessage() {
        return this.message;
    }

    @Override
    public String toString() {
        return "MissingIdentifiableMessageNotification { message=" + message + " }";
    }

}
