package pt.unl.fct.di.novasys.babel.protocols.secure.membership.notifications;

import pt.unl.fct.di.novasys.babel.generic.ProtoNotification;
import pt.unl.fct.di.novasys.babel.protocols.secure.membership.Peer;

public class NeighborUp extends ProtoNotification {

    public static final short NOTIFICATION_ID = 451;

    private final Peer peer;

    public NeighborUp(Peer peer) {
        super(NOTIFICATION_ID);
        this.peer = peer;
    }

    public Peer getPeer() {
        return peer;
    }

    @Override
    public String toString() {
        return "NeighborUp { peer=" + peer + " }";
    }

}
