package pt.unl.fct.di.novasys.babel.protocols.storage.utils.operations.utils;

/**
 * An enumerator containing a set of common operation status performed by the storage layer.
 * This can be useful to return status codes (and possible messages explained the status code) when issuing replies to the application layer.
 */
public enum CommonOperationStatus {
	OK, ERROR, NOT_SUPPORTED, SERVICE_UNAVAILABLE,NOT_APPLIED,CONFLICT,UNAUTHORIZED,NOT_FOUND
}
