package pt.unl.fct.di.novasys.babel.protocols.storage.utils.operations.utils;

/*
 * An enumerator listing the the common operation types issued to the storage layer.
 * This can be useful to notify the storage layer about the type of operation being issued.
 */
public enum CommonOperationType {
	UPSERT,UPDATE,DELETE,READ,
	CREATE_OBJECT,DELETE_OBJECT,
	CREATE_KEYSPACE,CREATE_COLLECTION,
	DROP_KEYSPACE,DROP_COLLECTION;
}
